package com.trade.service.contract.util.esign.entity;

import java.io.Serializable;

/**
 * e签宝：个人账户信息响应类
 */
public class ESignPersonAccountResponse implements Serializable {

    private static final long serialVersionUID = 1L;
    /** 个人账号id */
    private String accountId;
    /** 姓名 */
    private String name;
    /**
     * 证件类型
     **/
    private String idType;
    /**
     * 证件号
     */
    private String idNumber;
    /**
     * 联系方式，手机号码
     */
    private String mobile;
    /**
     * 联系方式，邮箱地址
     */
    private String email;
    /**
     * 第三方平台的用户id
     */
    private String thirdPartyUserId;

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getThirdPartyUserId() {
        return thirdPartyUserId;
    }

    public void setThirdPartyUserId(String thirdPartyUserId) {
        this.thirdPartyUserId = thirdPartyUserId;
    }
}
